package com.yonge.cooleshow.bbs.vo;

import com.yonge.cooleshow.bbs.entity.BbsReply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsReplyVo对象", description = "文章评论查询视图对象")
public class BbsReplyVo extends BbsReply {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("话题标题")
    private String articleTitle;
    private String userName;
    private String realName;
    private String avatar;
    private List<BbsReplyVo> children;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public List<BbsReplyVo> getChildren() {
        return children;
    }

    public void setChildren(List<BbsReplyVo> children) {
        this.children = children;
    }

    public String getArticleTitle() {
        return articleTitle;
    }

    public void setArticleTitle(String articleTitle) {
        this.articleTitle = articleTitle;
    }
}